Bug 10924 - Layout test failures, extra WebViewDidChangeSelectionNotification sent
Summary: Layout test failures, extra WebViewDidChangeSelectionNotification sent
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML Editing (show other bugs)
Version: 420+
Hardware: Mac OS X 10.4
: P2 Normal
Assignee: Alice Liu
URL:
Keywords: LayoutTestFailure
Depends on:
Blocks:
 
Reported: 2006-09-18 16:43 PDT by Timothy Hatcher
Modified: 2006-10-18 01:09 PDT (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timothy Hatcher 2006-09-18 16:43:27 PDT
These tests sent an extra WebViewDidChangeSelectionNotification notification when the selection changes:

css2.1/t0801-c412-hz-box-00-b-a.html
editing/pasteboard/copy-paste-bidi.html
fast/dynamic/move-node-with-selection.html
fast/events/dblclick-addEventListener.html
fast/events/updateLayoutForHitTest.html

 EDITING DELEGATE: webViewDidChangeSelection:WebViewDidChangeSelectionNotification
+EDITING DELEGATE: webViewDidChangeSelection:WebViewDidChangeSelectionNotification
Comment 1 Adam Roben (:aroben) 2006-10-04 22:07:33 PDT
css2.1/t0801-c412-hz-box-00-b-a.html suffers from a separate problem (catalogued in bug 11000). Adittionally, fast/forms/display-none-in-onchange-keyboard.html seems to now be missing a call to this delegate notification.
Comment 2 Alice Liu 2006-10-17 12:15:21 PDT
These three tests have new results checked in:

fast/dynamic/move-node-with-selection.html
fast/events/dblclick-addEventListener.html
fast/events/updateLayoutForHitTest.html

these 2 are broken for different reasons, and separate bugs should be filed about them.
css2.1/t0801-c412-hz-box-00-b-a.html
editing/pasteboard/copy-paste-bidi.html

resolving this bug since this bug has to do with  the problem of extra calls to WebViewDidChangeSelectionNotification
Comment 3 Alice Liu 2006-10-17 12:16:35 PDT
r17084
Comment 4 Adam Roben (:aroben) 2006-10-18 01:05:10 PDT
The explanation, cribbed from Alice's ChangeLog:

When nodes are removed, selections are cleared, and when http://bugs.webkit.org/show_bug.cgi?id=6498 was fixed, we started sending didChangeSelection notifications.